### Constructor

# ECal Component new

since: 3.34

#### Declaration [src]

    ECalComponent*
    e_cal_component_new (
      void
    )

#### Description [src]

Creates a new empty calendar component object. Once created, you should set it from an existing #icalcomponent structure by using `e_cal_component_set_icalcomponent()` or with a new empty component type by using e_cal_component_set_new_vtype().

Available since: 3.34

#### Return value

Type: `ECalComponent`

A newly-created calendar component object.

The caller of the function takes ownership of the data, and is responsible for freeing it.